package com.facebook.appevents.codeless.internal;

import com.tencent.matrix.trace.core.AppMethodBeat;

public enum PathComponent$MatchBitmaskType {
    ID(1),
    TEXT(2),
    TAG(4),
    DESCRIPTION(8),
    HINT(16);
    
    private final int value;

    static {
        AppMethodBeat.o(72104);
    }

    private PathComponent$MatchBitmaskType(int i) {
        this.value = i;
    }

    public final int getValue() {
        return this.value;
    }
}
